[pcre-dev] [Bug 2578] New: fails to compile on Ubuntu 20.04 …

Top Page

Reply to this message
Author: admin
Date:  
To: pcre-dev
Subject: [pcre-dev] [Bug 2578] New: fails to compile on Ubuntu 20.04 with --enable-jit
https://bugs.exim.org/show_bug.cgi?id=2578

            Bug ID: 2578
           Summary: fails to compile on Ubuntu 20.04 with --enable-jit
           Product: PCRE
           Version: 10.35 (PCRE2)
          Hardware: x86
                OS: Linux
            Status: NEW
          Severity: bug
          Priority: medium
         Component: Code
          Assignee: ph10@???
          Reporter: syzop@???
                CC: pcre-dev@???


Created attachment 1307
--> https://bugs.exim.org/attachment.cgi?id=1307&action=edit
configure and make output

CC       src/libpcre2_8_la-pcre2_extuni.lo
  CC       src/libpcre2_8_la-pcre2_find_bracket.lo
  CC       src/libpcre2_8_la-pcre2_jit_compile.lo
In file included from src/sljit/sljitLir.h:81,
                 from src/sljit/sljitLir.c:27,
                 from src/pcre2_jit_compile.c:79:
src/sljit/sljitConfigInternal.h:219:2: error: #error "-mshstk is needed to
compile with -fcf-protection"
  219 | #error "-mshstk is needed to compile with -fcf-protection"
      |  ^~~~~
make[1]: *** [Makefile:2403: src/libpcre2_8_la-pcre2_jit_compile.lo] Error 1
make[1]: Leaving directory '/home/syzop/pcre2-10.35'
make: *** [Makefile:1402: all] Error 2


This is with: ./configure --enable-jit --enable-shared && make

Ubuntu 20.04
gcc (Ubuntu 9.3.0-10ubuntu2) 9.3.0

In our buildbot tests it only fails on Ubuntu 20.04 with gcc, it does NOT fail
on the same machine with clang.
It also does NOT fail with clang or gcc on Ubuntu 18.04, Ubuntu 16.04, Debian
8, Debian 9, Debian 10, etc.

I guess it is because of the newer gcc shipped with Ubuntu 20.04, which
includes something that configure did not yet take into account?

PCRE2 10.34 did not have this issue.

--
You are receiving this mail because:
You are on the CC list for the bug.